package kcg.faics.equip.vo;

import java.util.Date;

/**
 * 장비사용실적 VO.
 * 
 * @author kimnomin
 *
 */
public class UseStateVO {
	/**
	 * 관리기관.
	 */
	private String police;
	/**
	 * 관리기관명.
	 */
	private String policeStr;
	/**
	 * 년도.
	 */
	private String year;
	/**
	 * 분기.
	 */
	private String quater;
	/**
	 * 장비코드.
	 */
	private String code;
	/**
	 * 장비명.
	 */
	private String codeStr;
	/**
	 * 장비사용횟수.
	 */
	private int cnt;
	/**
	 * 사용실적.
	 */
	private String detail;
	/**
	 * 장비상태.
	 */
	private String state;
	/**
	 * 점검횟수.
	 */
	private int check;
	/**
	 * 작성일.
	 */
	private Date regdate;
	/**
	 * 작성자.
	 */
	private String writer;
	/**
	 * 결재내역의 seq번호.
	 */
	private int approvalSeq;
	/**
	 * 결재일자.
	 */
	private Date approvalDate;

	/**
	 * @return the police
	 */
	public final String getPolice() {
		return police;
	}

	/**
	 * @param police
	 *            the police to set
	 */
	public final void setPolice(final String police) {
		this.police = police;
	}

	/**
	 * @return the policeStr
	 */
	public final String getPoliceStr() {
		return policeStr;
	}

	/**
	 * @param policeStr
	 *            the policeStr to set
	 */
	public final void setPoliceStr(final String policeStr) {
		this.policeStr = policeStr;
	}

	/**
	 * @return the year
	 */
	public final String getYear() {
		return year;
	}

	/**
	 * @param year
	 *            the year to set
	 */
	public final void setYear(final String year) {
		this.year = year;
	}

	/**
	 * @return the quater
	 */
	public final String getQuater() {
		return quater;
	}

	/**
	 * @param quater
	 *            the quater to set
	 */
	public final void setQuater(final String quater) {
		this.quater = quater;
	}

	/**
	 * @return the code
	 */
	public final String getCode() {
		return code;
	}

	/**
	 * @param code
	 *            the code to set
	 */
	public final void setCode(final String code) {
		this.code = code;
	}

	/**
	 * @return the codeStr
	 */
	public final String getCodeStr() {
		return codeStr;
	}

	/**
	 * @param codeStr
	 *            the codeStr to set
	 */
	public final void setCodeStr(final String codeStr) {
		this.codeStr = codeStr;
	}

	/**
	 * @return the cnt
	 */
	public final int getCnt() {
		return cnt;
	}

	/**
	 * @param cnt
	 *            the cnt to set
	 */
	public final void setCnt(final int cnt) {
		this.cnt = cnt;
	}

	/**
	 * @return the detail
	 */
	public final String getDetail() {
		return detail;
	}

	/**
	 * @param detail
	 *            the detail to set
	 */
	public final void setDetail(final String detail) {
		this.detail = detail;
	}

	/**
	 * @return the state
	 */
	public final String getState() {
		return state;
	}

	/**
	 * @param state
	 *            the state to set
	 */
	public final void setState(final String state) {
		this.state = state;
	}

	/**
	 * @return the check
	 */
	public final int getCheck() {
		return check;
	}

	/**
	 * @param check
	 *            the check to set
	 */
	public final void setCheck(final int check) {
		this.check = check;
	}

	/**
	 * @return the regdate
	 */
	public final Date getRegdate() {
		return regdate;
	}

	/**
	 * @param regdate
	 *            the regdate to set
	 */
	public final void setRegdate(final Date regdate) {
		this.regdate = regdate;
	}

	/**
	 * @return the writer
	 */
	public final String getWriter() {
		return writer;
	}

	/**
	 * @param writer
	 *            the writer to set
	 */
	public final void setWriter(final String writer) {
		this.writer = writer;
	}

	/**
	 * @return the approvalSeq
	 */
	public final int getApprovalSeq() {
		return approvalSeq;
	}

	/**
	 * @param approvalSeq
	 *            the approvalSeq to set
	 */
	public final void setApprovalSeq(final int approvalSeq) {
		this.approvalSeq = approvalSeq;
	}

	/**
	 * @return the approvalDate
	 */
	public final Date getApprovalDate() {
		return approvalDate;
	}

	/**
	 * @param approvalDate
	 *            the approvalDate to set
	 */
	public final void setApprovalDate(final Date approvalDate) {
		this.approvalDate = approvalDate;
	}
}